---
title: BaseAudioContext.listener
slug: Web/API/BaseAudioContext/listener
tags:
  - API
  - AudioContext
  - BaseAudioContext
  - Property
  - Reference
  - Web Audio API
  - listener
  - spatialization
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>listener</code> property of the {{ domxref("BaseAudioContext") }} interface returns an {{ domxref("AudioListener") }} object that can then be used for implementing 3D audio spatialization.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">baseAudioContext.listener;
</pre>

<h3 id="Value">Value</h3>

<p>An {{ domxref("AudioListener") }} object.</p>

<h2 id="Example">Example</h2>

<div class="note">
<p><strong>Note</strong>: for a full Web Audio spatialization example, see our <a href="https://github.com/mdn/panner-node">panner-node</a> demo.</p>
</div>

<pre class="brush: js;highlight[8]">var AudioContext = window.AudioContext || window.webkitAudioContext;
var audioCtx = new AudioContext();
// Older webkit/blink browsers require a prefix

...

var myListener = audioCtx.listener;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-baseaudiocontext-listener', 'listener')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.BaseAudioContext.listener")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
